Subject: Re: RFC 7168 on The Hyper Text Coffee Pot Control Protocol for Tea Efflux Appliances (HTCPCP-TEA)

From: "Andrew G. Malis" <[email-masked]>
Date: Tue, 1 Apr 2014 18:48:47 -0400

As a tea drinker, I'm very happy to see this extension to RFC 2324.
However, many people drink their tea with lemon, and that doesn't
really fit into any of the addition-types in section 2.2.1. Another
addition-type may be required.

Cheers,
Andy

On Tue, Apr 1, 2014 at 6:00 PM,  <[email-masked]> wrote:
> A new Request for Comments is now available in online RFC libraries.
>
>
>         RFC 7168
>
>         Title:      The Hyper Text Coffee Pot
>                     Control Protocol for Tea Efflux Appliances
>                     (HTCPCP-TEA)
>         Author:     I. Nazar
>         Status:     Informational
>         Stream:     Independent
>         Date:       1 April 2014
>         Mailbox:    [email-masked]
>         Pages:      7
>         Characters: 14490
>         Updates:    RFC 2324
>
>         I-D Tag:    draft-nazar-htcpcp-tea-00.txt
>
>         URL:        http://www.rfc-editor.org/rfc/rfc7168.txt
>
> The Hyper Text Coffee Pot Control Protocol (HTCPCP) specification
> does not allow for the brewing of tea, in all its variety and
> complexity.  This paper outlines an extension to HTCPCP to allow
> for pots to provide networked tea-brewing facilities.
>
>
> INFORMATIONAL: This memo provides information for the Internet community.
> It does not specify an Internet standard of any kind. Distribution of
> this memo is unlimited.
>
> This announcement is sent to the IETF-Announce and rfc-dist lists.
> To subscribe or unsubscribe, see
>   http://www.ietf.org/mailman/listinfo/ietf-announce
>   http://mailman.rfc-editor.org/mailman/listinfo/rfc-dist
>
> For searching the RFC series, see http://www.rfc-editor.org/search
> For downloading RFCs, see http://www.rfc-editor.org/rfc.html
>
> Requests for special distribution should be addressed to either the
> author of the RFC in question, or to [email-masked].  Unless
> specifically noted otherwise on the RFC itself, all RFCs are for
> unlimited distribution.
>
>
> The RFC Editor Team
> Association Management Solutions, LLC
>
>

---

From: Ole Jacobsen <[email-masked]>
Date: Tue, 01 Apr 2014 16:14:19 -0700 (PDT)

Have you spoken with Ted Lemon about this at all?

---

From: Elwyn Davies <[email-masked]>
Date: Wed, 02 Apr 2014 00:37:46 +0100

> addition-type may be required.

+1

We also need the internationalized version to cater for all those
excellent varieties of China Tea.  A nice drop of pu-erh perhaps?

Tea 'up,
Elwyn

---

From: Tim Chown <[email-masked]>
Date: Wed, 2 Apr 2014 00:50:07 +0100

> excellent varieties of China Tea.  A nice drop of pu-erh perhaps?

I think this protocol will only run effectively over older, thicker Ethernet media, specifically through a 10base2 tea-piece connector.

Tim

---

From: "John Levine" <[email-masked]>
Date: 2 Apr 2014 01:45:40 -0000

In section 2.1, shouldn't POST be POSTUM?

R's,
John

---

From: "Rgd.ietf" <[email-masked]>
Date: Tue, 1 Apr 2014 19:52:53 -0700

Review comments:

Section 2.2.1 There are also additional modes of sugar than cane sugar.  It should support sugar beet sugar. So section 2.2.1 sugar-beet and sugar-cane should be included in the options.

Tea has state(s) - it is either brewed or unbrewed , as well as cold or hot. There needs to be an optional state monitor reporting {brewed | unbrewed } and { hot | cold }.  

 I'm undecided if there should be a  { sat-too-long-and-is-cold | fresh } message. Perhaps a wider review would be helpful.

Finally is there any requirement for a parameter to specify ice?

-rgd

> On Apr 1, 2014, at 3:49 PM, "Andrew G. Malis" <[email-masked]> wrote:
>

---

From: Ole Jacobsen <[email-masked]>
Date: Tue, 01 Apr 2014 20:16:33 -0700

As any Brit will tell you: ice has absolutely NOTHING to do with tea, so it would be out of scope.

Sat-too-long-and-is-still-hot is, if I recall, known as "stewed" and anyone responsible faces possible deportation from the UK. A very serious matter indeed, almost as serious as refusing to obey the rules of a queue.

Ole

Ole J. Jacobsen
Editor & Publisher
Cell: +1 415 370-4628
docomo: (090) 3337 9311
UK Orange: +44 780 5977 889

Sent from my iPhone

> On 1 Apr 2014, at 19:52, "Rgd.ietf" <[email-masked]> wrote:
> 
> Review comments:
>

---

From: Chaitanya Dhareshwar <[email-masked]>
Date: Wed, 2 Apr 2014 12:37:23 +0530

I would beg to differ, I love my Iced Tea (ref:
http://en.wikipedia.org/wiki/Iced_tea)

Further as the Internet Engineering Tea Force we must ensure all
possibilities are covered... Even if its not common within a region/culture
doesn't mean its not used elsewhere.

*Chaitanya Dhareshwar*

Linkedin <http://in.linkedin.com/in/chaitanyabd> | Blog <http://cbd.vcio.in> |
Skype: chaitanyabd
Mobile: +91.9820760253

On Wed, Apr 2, 2014 at 8:46 AM, Ole Jacobsen <[email-masked]> wrote:

> Sat-too-long-and-is-still-hot is, if I recall, known as "stewed" and
> anyone responsible faces possible deportation from the UK. A very serious
> matter indeed, almost as serious as refusing to obey the rules of a queue.
>
> Ole
>
> Ole J. Jacobsen
> Editor & Publisher
> Cell: +1 415 370-4628
> docomo: (090) 3337 9311
> Section 2.2.1 There are also additional modes of sugar than cane sugar.
>  It should support sugar beet sugar. So section 2.2.1 sugar-beet and
> sugar-cane should be included in the options.
>
> Tea has state(s) - it is either brewed or unbrewed , as well as cold or
> hot. There needs to be an optional state monitor reporting {brewed |
> unbrewed } and { hot | cold }.
>
> I'm undecided if there should be a  { sat-too-long-and-is-cold | fresh }
> message. Perhaps a wider review would be helpful.
>

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Wed, 2 Apr 2014 07:58:06 -0400

> matter indeed, almost as serious as refusing to obey the rules of a queue.

Oh we have discovered over the years that people have the oddest ideas on
how to make tea.

Here in Boston there was a group that made tea with salt water some years
back. Turned out the only solution was kicking them out of the empire.

-- 
Website: http://hallambaker.com/

---

From: Yoav Nir <[email-masked]>
Date: Wed, 2 Apr 2014 15:06:31 +0300

On Apr 2, 2014, at 2:58 PM, Phillip Hallam-Baker <[email-masked]> wrote:

> Oh we have discovered over the years that people have the oddest ideas on how to make tea.
> 
> Here in Boston there was a group that made tea with salt water some years back. Turned out the only solution was kicking them out of the empire.

The problem with that tea was not the salt. That turns out to be customary in Mongolia. The real issue that the tea was “weak, bordering on homeopathic”:

http://what-if.xkcd.com/79/

We can’t have that.

Yoav

---

From: Elwyn Davies <[email-masked]>
Date: Wed, 02 Apr 2014 14:59:22 +0100

On Wed, 2014-04-02 at 15:06 +0300, Yoav Nir wrote:
> >         Sat-too-long-and-is-still-hot is, if I recall, known as
> >         "stewed" and anyone responsible faces possible deportation
> >         from the UK. A very serious matter indeed, almost as serious
> >         as refusing to obey the rules of a queue.
> > 
> > 
> > Here in Boston there was a group that made tea with salt water some
> > years back. Turned out the only solution was kicking them out of the
> > empire.
> 
> 
> The problem with that tea was not the salt. That turns out to be
> customary in Mongolia. 

.. and of course the rancid yak butter...

/Elwyn

> The real issue that the tea was “weak, bordering on homeopathic”:
> 
>

---

From: Ted Lemon <[email-masked]>
Date: Wed, 2 Apr 2014 10:12:54 -0400

> .. and of course the rancid yak butter...

It's better if the yak butter isn't rancid.

Anyway, these are all good suggestions for draft-ietf-tcoff-rfc7168bis.   Is anyone interested in forming a BOF?

---

From: Ted Lemon <[email-masked]>
Date: Tue, 1 Apr 2014 20:18:01 -0400

> Have you spoken with Ted Lemon about this at all?

My wife (Andrea, for those who haven't met her) usually only drinks tea at work, so not with Lemon, unless she is beside herself for some reason.

---

From: Elwyn Davies <[email-masked]>
Date: Wed, 02 Apr 2014 17:21:02 +0100

On Wed, 2014-04-02 at 15:06 +0300, Yoav Nir wrote:
> customary in Mongolia. The real issue that the tea was “weak,
> bordering on homeopathic”:
> 
> 

Nice!

And it addresses the failure to boil the ocean (unlike certain WGs)!  ;-)

/E

---

From: Clint Chaplin <[email-masked]>
Date: Wed, 2 Apr 2014 15:54:41 -0700

Will there be an option for not-tea?

-- 
Clint (JOATMON) Chaplin
Principal Engineer
Standards & Technology Enabling
Advanced Technology Lab
Samsung R&D Institute America - Silicon Valley

---

From: Suzanne Woolf <[email-masked]>
Date: Wed, 2 Apr 2014 19:15:57 -0400

> Anyway, these are all good suggestions for draft-ietf-tcoff-rfc7168bis.   Is anyone interested in forming a BOF?
Yeah, sounds like we have some i18n issues….until the politicians get involved, and then it's an "internet governance" problem….

---

From: Ted Lemon <[email-masked]>
Date: Wed, 2 Apr 2014 19:42:57 -0400

> Will there be an option for not-tea?

No.   You can't have tea and not-tea.

---

From: John C Klensin <[email-masked]>
Date: Wed, 02 Apr 2014 20:01:52 -0400

> No.   You can't have tea and not-tea.

At least until you answer the question "when is tea not tea" in
a satisfactory way.  For example, the stuff that comes
identified as tea but arrives in bags in many bad restaurants
(and others that should know better), is pretty clearly not tea
but it is less clear whether it is not-tea or not.

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 03 Apr 2014 13:29:35 +1300

> but it is less clear whether it is not-tea or not.

RFC 7169 describes a situation where TRUE and FALSE might mean the
same thing. I can't see, therefore, why tea and not-tea cannot
be simultaneously true (or false).

In the supermarket the other day, I was handed a free sample
of Red Bush Tea, which is clearly not tea. I do not know
whether it is not-tea.

   Brian

---

From: Andrew Sullivan <[email-masked]>
Date: Wed, 2 Apr 2014 20:41:54 -0400

> but it is less clear whether it is not-tea or not.

There is evidently an opportunity for an intuitionistic state machine
here.  In intuitionism, as I'm sure everyone is fully aware, the law
of excluded middle and double-negation are both rejected as axioms
(mostly because of the principle of constructive provability.
Intuitionism is not a 2-value logic, and may not be a finite-value
logic).

I think it would be fun to write ABNF for this system.  Or more
exactly, I think it would be fun if someone else did that.

Best regards,

A

-- 
Andrew Sullivan
[email-masked]

---

From: Ted Lemon <[email-masked]>
Date: Wed, 2 Apr 2014 20:52:12 -0400

On Apr 2, 2014, at 8:01 PM, John C Klensin <[email-masked]> wrote:
> For example, the stuff that comes

What it is is almost, but not completely, unlike tea.   Still services as a good source of randomness, as long as it's nice and hot.

---

From: Ted Lemon <[email-masked]>
Date: Wed, 2 Apr 2014 20:55:11 -0400

> of Red Bush Tea, which is clearly not tea. I do not know

As I mentioned to someone privately earlier, not-tea is the logical complement of tea, which is to say the complete set of all things that are not tea.   Hence, Rooibos tea is not not-tea, although it is not tea.

---

From: [email-masked] (Dale R. Worley)
Date: Wed, 2 Apr 2014 21:01:26 -0400

> From: Chaitanya Dhareshwar <[email-masked]>
> 

We definitely need to avoid the growth of national extensions of
HTCPCP-TEA by including the features that are being used already!

Dale

---

From: Clint Chaplin <[email-masked]>
Date: Wed, 2 Apr 2014 19:44:00 -0700

Well, unless you have removed that little bit of common sense from your
brain, then you can have both.

Yes, I know it should have been no-tea.  How many people have any clue what
I am referring to?

---

From: Ted Lemon <[email-masked]>
Date: Wed, 2 Apr 2014 22:56:39 -0400

On Apr 2, 2014, at 10:44 PM, Clint Chaplin <[email-masked]> wrote:
> Yes, I know it should have been no-tea.  How many people have any clue what I am referring to?

Quite a few of us, I suspect.

If only I could figure out where I put that thing my aunt gave me which I don't know what it is...

---

From: Randall Gellens <[email-masked]>
Date: Thu, 3 Apr 2014 16:26:20 -0700

>  but it is less clear whether it is not-tea or not.

"Waiter, if this is coffee, bring me tea.  If this is tea, bring me coffee."

-- 
Randall Gellens
Opinions are personal;    facts are suspect;    I speak for myself only
-------------- Randomly selected tag: ---------------
There are two ways of constructing a software design: One way
is to make is so simple that there are obviously no
deficiencies, and the other way is to make it so complicated
that there are no obvious deficiencies."     --C. A. R. Hoare

---

From: Randall Gellens <[email-masked]>
Date: Thu, 3 Apr 2014 16:29:37 -0700

>  excellent varieties of China Tea.  A nice drop of pu-erh perhaps?

I stopped reading when I saw that there was no provision for handling 
more delicate teas, just as Japanese sencha or gyokuro, which require 
significantly cooler water and shorter brewing times.  I'm not sure 
I'd characterize this as a question of internationalization, since it 
involves fundamental protocol elements and operation rather than user 
display text.

-------------- Randomly selected tag: ---------------
The single biggest problem in communication is the illusion that it
has taken place.                                       --G. B. Shaw

---

From: Janet P Gunn <[email-masked]>
Date: Thu, 3 Apr 2014 21:05:54 -0400

Which reminds me of a family expression.

My father was part of the 1950s Brain Drain, and left RRE in England to go 
to UBC in Vancouver in 1956.  Another British physicist, Geoff Bates, 
joined the Physics Department at the same time. 

The head of the Physics Department was very proud of the fact that the 
faculty gathered for "tea" each afternoon, and were very  anxious to have 
the two British additions join them.

After tasting the "tea" Geoff said: "Hmm, it is quite good, but it will 
never replace tea."

The expression "It is quite good but it will never replace X" is now 
firmly established in the Gunn family lexicon.

Janet

"ietf" <[email-masked]> wrote on 04/02/2014 08:01:52 PM:

> From: John C Klensin <[email-masked]>
> 
> 
>

---

From: Janet P Gunn <[email-masked]>
Date: Thu, 3 Apr 2014 21:19:53 -0400

The teamaker that sits on my desk at work allows me to select from 4 
different temperature settings ( appropriate for black tea, herbal tea, 
green tea, and white tea).  It also allows me to select the number of 
minutes to brew the tea.

I would expect the tea making protocol to allow for "water temperature" 
and "brewing time" parameters.

Furthermore, brewing time is a much better metric for tea strength than 
opacity.  One of the best known "teas"  sold in the US is well known to 
have been designed for speed in reaching a dark color, without regard for 
strength.

Stewed tea is tea which has been brewed too long.  Tea which has been kept 
warm for a long time, but with the tea leaves removed after the proper 
brewing time, is not "stewed".  It may be stale, but not stewed.

Some people actually LIKE stewed tea (usually with lots of sugar), so an 
extended brewing time should be an option.

Janet

"ietf" <[email-masked]> wrote on 04/03/2014 07:29:37 PM:

> From: Randall Gellens <[email-masked]>
> To: Elwyn Davies <[email-masked]>, "Andrew G. Malis" 
> <[email-masked]>
> Cc: IETF Discussion <[email-masked]>
> Date: 04/03/2014 07:32 PM
> Subject: Re: RFC 7168 on The Hyper Text Coffee Pot Control Protocol 
> for Tea  Efflux Appliances (HTCPCP-TEA)
> Sent by: "ietf" <[email-masked]>
>

---

From: <[email-masked]>
Date: Sun, 6 Apr 2014 01:41:41 +0100

Look, if the water is not boiling, it may contain more bacteria,
with adverse effects on health. Boiling water properly
is most likely to kill that bacteria and prevent infection.

Boiling the water is best practice, and you should use that
best practice even though you clearly don't understand why.
Trust us, you'll come to love it. It's for your own good.

This is clearly another security threat to be prevented, and
the IETF's core work and primary focus is on mitigating
security threats that the IETF created in the first place.

Boiling could have been mentioned in the security considerations
section. I see there's no mention of TLS or SHA or authenticating
commands either - so the IETF needs to set up a security group to
fix and properly secure HTCPCP-TEA immediately.
Documenting how everyone must always make tea will also be
a useful outcome of this group.

get to it, Stephen!

Lloyd Wood
http://about.me/lloydwood
________________________________________
From: ietf [[email-masked]] On Behalf Of Randall Gellens [[email-masked]]
Sent: 04 April 2014 00:29
To: Elwyn Davies; Andrew G. Malis
Cc: IETF Discussion
Subject: Re: RFC 7168 on The Hyper Text Coffee Pot Control Protocol for Tea  Efflux Appliances (HTCPCP-TEA)

---

From: "Rgd.ietf" <[email-masked]>
Date: Sat, 5 Apr 2014 18:27:15 -0700

Bacterial issues almost seems like policy.  Many users may desire bacterial enriched tea, the protocol should not enforce local policy, though it can present interfaces for policy application.

> On Apr 5, 2014, at 5:41 PM, <[email-masked]> wrote:
>

---

From: Randall Gellens <[email-masked]>
Date: Sat, 5 Apr 2014 18:55:40 -0700

>  is most likely to kill that bacteria and prevent infection.

Only if the source of water is not clean.

>  Trust us, you'll come to love it. It's for your own good.

Even if the water is first boiled, it can be cooled (or allowed to 
cool) to the desired temperature for the specific tea being steeped 
(e.g., a selected value most often between 140F and 208F (60C to 98C).

-------------- Randomly selected tag: ---------------
If the odds are a million to one against something occurring, chances
are 50-50 it will.

---

From: <[email-masked]>
Date: Sun, 6 Apr 2014 03:05:09 +0100

Assuming the water is clean is like assuming
there are no secuity attackers. That's obviously
untenable in this day and age.

Best-practice hygiene is best-practice security.

Always boil the water first. This is in line
with best security practice, which attempts
to boil the ocean.

Lloyd Wood
http://about.me/lloydwood
________________________________________
From: Randall Gellens [[email-masked]]
Sent: 06 April 2014 02:55
To: Wood L  Dr (Electronic Eng); [email-masked]; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: RFC 7168 on The Hyper Text Coffee Pot Control Protocol for Tea   Efflux Appliances (HTCPCP-TEA)

---

From: Ted Lemon <[email-masked]>
Date: Sun, 6 Apr 2014 07:41:51 -0400

> with best security practice, which attempts

Again with the salt water tea!

---

From: <[email-masked]>
Date: Sun, 6 Apr 2014 13:04:27 +0100

Again with promoting the Lemon detox?

https://www.lemondetox.com.au/lemon-detox-diet-laxative-tea-and-sea-salt.php

Lloyd Wood
http://about.me/lloydwood
________________________________________
From: Ted Lemon [[email-masked]]
Sent: 06 April 2014 12:41
To: Wood L  Dr (Electronic Eng)
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Re: RFC 7168 on The Hyper Text Coffee Pot Control Protocol for Tea Efflux Appliances (HTCPCP-TEA)

---

From: Randall Gellens <[email-masked]>
Date: Mon, 7 Apr 2014 21:17:08 -0700

At 8:16 PM -0700 4/1/14, Ole Jacobsen wrote:

>  Sat-too-long-and-is-still-hot is, if I recall, known as "stewed" 
> and anyone responsible faces possible deportation from the UK. A 
> very serious matter indeed, almost as serious as refusing to obey 
> the rules of a queue.

Sitting and steeping are orthogonal, provided the tea preparation 
apparatus has a method to arrest steepage (e.g., a Chatsford tea pot 
with large-basket mesh infuser that one simply lifts out after the 
appropriate interval).  However, my understanding was that the 
customary way to prepare British-style tea is to leave the leaves in 
all day, providing a strongly tannic tea which is better suited to 
copious milk and sugar.

-------------- Randomly selected tag: ---------------
He hadn't a single redeeming vice.
        --Oscar Wilde

---

From: <[email-masked]>
Date: Tue, 8 Apr 2014 06:06:31 +0100

George Orwell: A Nice Cup of Tea, 12 Jan 1946
http://www.booksatoz.com/witsend/tea/orwell.htm

is often cited as the correct _English_ way to take tea. No sugar.

Lloyd Wood

sure, why not take your dietary advice from someone who died at the age of 46?
________________________________________
From: ietf [[email-masked]] On Behalf Of Randall Gellens [[email-masked]]
Sent: 08 April 2014 05:17
To: Ole Jacobsen; Rgd.ietf
Cc: IETF Discussion
Subject: Re: RFC 7168 on The Hyper Text Coffee Pot Control Protocol for Tea  Efflux Appliances (HTCPCP-TEA)

---

From: [email-masked] (Dale R. Worley)
Date: Tue, 8 Apr 2014 15:53:28 -0400

> From: <[email-masked]>

> is often cited as the correct _English_ way to take tea. No sugar.

It looks like we're already starting a 7168bis...

Dale

---

From: Randall Gellens <[email-masked]>
Date: Wed, 9 Apr 2014 19:24:39 -0700

>  with best security practice, which attempts

So global warming is a security effort?

-------------- Randomly selected tag: ---------------
It was the first airplane . . . that could make money just by
hauling passengers.
    --C. R. Smith, president of American Airlines, regarding the
    DC-3. The DC-3 specifications were shaped by AA.

---

From: <[email-masked]>
Date: Thu, 10 Apr 2014 05:07:04 +0100

Crypto requires increased processing power, requiring more energy, producing more waste heat.

So, yes, it is a contributing factor to global warming. Crypto is red or black. It isn't green.

Whatever the sun does in terms of output (e.g. Maunder minimum) dwarfs this and many other man-made contributing factors, of course.

Lloyd Wood
Sent: 10 April 2014 03:24

---

From: Randall Gellens <[email-masked]>
Date: Wed, 9 Apr 2014 21:28:58 -0700

> red or black. It isn't green.

I think you misunderstood me.  I didn't ask if global warming was a 
side-effect of security, I asked if global warming was an intentional 
security effort, as part of the plan to boil the ocean.

>
>  Whatever the sun does in terms of output (e.g. Maunder minimum) 
> dwarfs this and many other man-made contributing factors, of course.
>
>  Lloyd Wood

-------------- Randomly selected tag: ---------------
Few ideas are really bad.  Most are either pre- or post-mature.
                                                   --Jon Postel

---

From: <[email-masked]>
Date: Thu, 10 Apr 2014 05:40:37 +0100

http://www.investopedia.com/terms/b/boil-the-ocean.asp

In my experience, side-effects of security are generally
unintentional - to be intentional, they'd first have to be
understood by the security people, and of any interest to
them.

Lloyd Wood
Sent: 10 April 2014 05:28